Callisto4Bootloader: _rtwdog_config Struct Reference

Callisto4Bootloader

Data Fields
_rtwdog_config Struct Reference
Rtwdog

Describes RTWDOG configuration structure. More...

`#include <fsl_rtwdog.h>`

## Data Fields

bool | enableRtwdog
rtwdog_clock_source_t | clockSource
rtwdog_clock_prescaler_t | prescaler
rtwdog_work_mode_t | workMode
rtwdog_test_mode_t | testMode
bool | enableUpdate
bool | enableInterrupt
bool | enableWindowMode
uint16_t | windowValue
uint16_t | timeoutValue

## Detailed Description

Describes RTWDOG configuration structure.

Definition at line 70 of file fsl_rtwdog.h.

## Field Documentation

## ◆ clockSource

rtwdog_clock_source_t _rtwdog_config::clockSource

Clock source select

Definition at line 73 of file fsl_rtwdog.h.

## ◆ enableInterrupt

bool _rtwdog_config::enableInterrupt

Enables or disables RTWDOG interrupt

Definition at line 78 of file fsl_rtwdog.h.

## ◆ enableRtwdog

bool _rtwdog_config::enableRtwdog

Enables or disables RTWDOG

Definition at line 72 of file fsl_rtwdog.h.

## ◆ enableUpdate

bool _rtwdog_config::enableUpdate

Update write-once register enable

Definition at line 77 of file fsl_rtwdog.h.

## ◆ enableWindowMode

bool _rtwdog_config::enableWindowMode

Enables or disables RTWDOG window mode

Definition at line 79 of file fsl_rtwdog.h.

## ◆ prescaler

rtwdog_clock_prescaler_t _rtwdog_config::prescaler

Clock prescaler value

Definition at line 74 of file fsl_rtwdog.h.

## ◆ testMode

rtwdog_test_mode_t _rtwdog_config::testMode

Configures RTWDOG test mode

Definition at line 76 of file fsl_rtwdog.h.

## ◆ timeoutValue

uint16_t _rtwdog_config::timeoutValue

Timeout value

Definition at line 81 of file fsl_rtwdog.h.

## ◆ windowValue

uint16_t _rtwdog_config::windowValue

Window value

Definition at line 80 of file fsl_rtwdog.h.

## ◆ workMode

rtwdog_work_mode_t _rtwdog_config::workMode

Configures RTWDOG work mode in debug stop and wait mode

Definition at line 75 of file fsl_rtwdog.h.

The documentation for this struct was generated from the following file:

- drivers/fsl_rtwdog.h